# Image-to-Video

**Method**: `POST`
**Endpoint**: `/vidu/v2/img2video`

### POST /vidu/v2/img2video

| Parameter Name | Type | Required | Provider note|
| --- | --- | --- | --- |
| `model` | String | Provider note| Provider note|
| `images` | Array[String] | Provider note| Provider note|
| `prompt` | String | Optional | Provider note|
| `is_rec` | Bool | Optional | Provider note|
| `duration` | Int | Optional | Provider note|
| `seed` | Int | Optional | Provider note|
| `resolution` | String | Optional | Provider note|
| `movement_amplitude` | String | Optional | Provider note|
| `bgm` | Bool | Optional | Provider note|
| `payload` | String | Optional | Provider note|
| `off_peak` | Bool | Optional | Provider note|
| `watermark` | Bool | Optional | Provider note|
| `wm_position` | Int | Optional | Provider note|
| `wm_url` | String | Optional | Provider note|
| `meta_data` | String | Optional | Provider note|

### POST /vidu/v2/img2video

```
{
"Label": "your_label",
"ContentProducer": "yourcontentproducer",
"ContentPropagator": "your_content_propagator",
"ProduceID": "yourproductid",
"PropagateID": "your_propagate_id",
"ReservedCode1": "yourreservedcode1",
"ReservedCode2": "your_reserved_code2"
}
```

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
model
string
Required
images
array
[string]
Required
prompt
string
Required
duration
integer
Required
seed
integer
Required
resolution
string
Required
movement_amplitude
string
Required
off_peak
boolean
Required
Example
{
"model"
:
"viduq2-pro"
,
"images"
:
[
"https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/image2video.png"
]
,
"prompt"
:
"The astronaut waved and the camera moved up."
,
"duration"
:
5
,
"seed"
:
0
,
"resolution"
:
"720p"
,
"movement_amplitude"
:
"auto"
,
"off_peak"
:
false
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/vidu/v2/img2video' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "viduq2-pro",
    "images": ["https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/image2video.png"],
    "prompt": "The astronaut waved and the camera moved up.",
    "duration": 5,
    "seed": 0,
    "resolution": "720p",
    "movement_amplitude": "auto",
    "off_peak": false
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "task_id": "885482446060003328",
    "type": "img2video",
    "state": "created",
    "model": "viduq2-pro",
    "style": "general",
    "prompt": "The astronaut waved and the camera moved up.",
    "images": [
        "https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/image2video.png"
    ],
    "duration": 5,
    "seed": 1283649749,
    "aspect_ratio": "",
    "resolution": "720p",
    "movement_amplitude": "auto",
    "created_at": "2025-11-10T15:03:01.749836088Z",
    "credits": 55,
    "payload": "",
    "cus_priority": 0,
    "off_peak": false,
    "watermark": false,
    "is_rec": false,
    "wm_position": "unspecified",
    "wm_url": "",
    "meta_data": ""
}
```
